FROM balenalib/%%RESIN_MACHINE_NAME%%-debian:latest

RUN apt-get clean && apt-get update \
    && apt-get install -y wget \
    tar bzip2

RUN wget -O miniconda.sh https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-armv7l.sh
RUN  /bin/bash miniconda.sh -f  -b -p $HOME/miniconda3
RUN  export PATH="$HOME/miniconda/bin:$PATH"

RUN apt-get install -y libportaudio0 libportaudio2 libportaudiocpp0 portaudio19-dev python-dev && \
    apt-get install -y --no-install-recommends gcc

ADD requirements_conda.txt requirements_conda.txt
ADD requirements_pip.txt requirements_pip.txt

# Install Python packages
RUN $HOME/miniconda3/bin/conda create --name spl-meter --file requirements_conda.txt
RUN $HOME/miniconda3/envs/spl-meter/bin/pip install -r requirements_pip.txt

# ----------------------
RUN rm -rf /var/cache/apk/*

RUN mkdir -p /opt/noisemeter
WORKDIR      /opt/noisemeter


ADD ./pyshare/* /opt/noisemeter/pyshare/
ADD ./sniffer/* /opt/noisemeter/sniffer/

ADD *.py          /opt/noisemeter/

RUN echo "Starting noise-test container"

CMD $HOME/miniconda3/envs/spl-meter/bin/python noise-meter.py

#ENTRYPOINT ["tail", "-f", "/dev/null"]
